Unschedule post
curl --request POST \
--url https://app.tryordinal.com/api/v1/posts/{id}/unschedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/posts/{id}/unschedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/posts/{id}/unschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://app.tryordinal.com/acme/posts/550e8400-e29b-41d4-a716-446655440000",
"title": "Q4 Product Launch Announcement",
"channels": [
"LinkedIn",
"Twitter"
],
"status": "Finalized",
"publishDate": "2026-01-20",
"publishAt": "2026-01-20T14:00:00.000Z",
"updatedAt": "2026-01-19T11:00:00.000Z"
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Posts
Unschedule post
Cancel a scheduled post. The post status will be changed to Finalized and any pending scheduled publishes will be cancelled.
POST
/
posts
/
{id}
/
unschedule
Unschedule post
Authorizations
API key authentication. Generate an API key from your workspace settings.
Path Parameters
Post ID (UUID)
Response
Post unscheduled successfully
Available options:
Tentative, ToDo, InProgress, ForReview, Blocked, Finalized, Scheduled, Posted Publish date (YYYY-MM-DD) in workspace timezone. May be null if not set.
Publish datetime UTC. May be null if not set.
Was this page helpful?
⌘I